use "$clean_data_math", clear

*============================================
* Reporting R2 for different specifications of the extent to which assessor FEs explain math outcome
*============================================

qui: reg total_score_pca i.actual_assessor, cluster(academycode)
	di e(r2)
	
qui: reg total_score_pca i.academycode i.grade_2020 std_latest_math, cluster(academycode)
	di e(r2)
	
qui: reg total_score_pca i.academycode i.grade_2020 std_latest_math i.actual_assessor, cluster(academycode)
	di e(r2)

* Note that controlling for the day worked increases the extent of enumerator effects		
qui: reg total_score_pca  i.actual_assessor i.day_worked, cluster(academycode)	
	di e(r2)

*============================================
* Reporting R2 for other math outcomes
*============================================
	
cls

*=== Indiviual math questions
forvalues i=1/14{
	
qui:	reg question_`i' i.actual_assessor, cluster(actual_assessor)
di e(r2)	
}

*=== Aggregate math scores
foreach v in total_score_pca numeracy_score_pca curr_aligned_score_pca highest_level innumeracy{
	
qui:	reg `v' i.actual_assessor, cluster(actual_assessor)
di e(r2)	
}

*=== Survey questions
foreach v in stud_q1_teacher_cares par_q1_time_studying par_q2_calls_teacher par_q3_Bridgeathome par_q3_tv_radio_internet par_q3_books par_q3_teacher_calls par_q4_no_shock par_q4_moved_home par_q4_health_shock par_q4_income_shock par_q5_parental_ed{
	
qui:	reg `v' i.actual_assessor, cluster(actual_assessor)
di e(r2)	
}
	

