*============================================
* Appendix Figure 3: Creating ICC/IIF for tests
*============================================

use "$clean_pba_numeracy", clear
global irt_nmbr_paramtrs "2pl"

*==== Core numeracy 
irt $irt_nmbr_paramtrs question_1-question_9 
	irtgraph icc question_1-question_9, plocation  xtitle("Theta (student ability)", size(medsmall)) ytitle("Probability of answering correctly", size(medsmall)) title("Item Characteristic Curves for Core Numeracy Section, all grades", size(medium))  legend(order(1 "Q1: Counting" 2 "Q2: Inequalities" 3 "Q3: Two-digit addition" 4 "Q4: Two-digit addition" 5 "Q5: Two-digit subtraction" 6 "Q6: Two-digit subtraction" 7 "Q7: One-digit multiplication" 8 "Q8: One-digit division" 9 "Q9: Word problem (multiplication)") cols(1)) legend( rows(5)  size(vsmall))
		
	irtgraph iif, xtitle("Theta (student ability)") ytitle("Information") title("Item Information Function for Core Numeracy Section") legend(order(1 "Q1: Counting" 2 "Q2: Inequalities" 3 "Q3: Two-digit addition" 4 "Q4: Two-digit addition" 5 "Q5: Two-digit subtraction" 6 "Q6: Two-digit subtraction" 7 "Q7: One-digit multiplication" 8 "Q8: One-digit division" 9 "Q9: Word problem (multiplication)") cols(1)) legend( rows(5)  size(vsmall))


* By grade
foreach g in 3 5 6{
	
irt $irt_nmbr_paramtrs question_1-question_9  if grade_2020==`g'
	irtgraph icc question_1-question_9, plocation  xtitle("Theta (student ability)", size(medsmall)) ytitle("Probability of answering correctly", size(medsmall)) title("Item Characteristic Curves for Core Numeracy Section, Grade `g'", size(medium))  legend(order(1 "Q1: Counting" 2 "Q2: Inequalities" 3 "Q3: Two-digit addition" 4 "Q4: Two-digit addition" 5 "Q5: Two-digit subtraction" 6 "Q6: Two-digit subtraction" 7 "Q7: One-digit multiplication" 8 "Q8: One-digit division" 9 "Q9: Word problem (multiplication)") cols(1)) legend( rows(5)  size(vsmall))
		
	irtgraph iif, xtitle("Theta (student ability)") ytitle("Information") title("Item Information Function for Core Numeracy Section, Grade `g'")  legend(order(1 "Q1: Counting" 2 "Q2: Inequalities" 3 "Q3: Two-digit addition" 4 "Q4: Two-digit addition" 5 "Q5: Two-digit subtraction" 6 "Q6: Two-digit subtraction" 7 "Q7: One-digit multiplication" 8 "Q8: One-digit division" 9 "Q9: Word problem (multiplication)") cols(1)) legend( rows(5)  size(vsmall))
	
}

*==== Curriculum-aligned

* For grade 3
irt $irt_nmbr_paramtrs question_10-question_14   if grade_2020==3
	irtgraph icc question_10-question_14, plocation  xtitle("Theta (student ability)", size(medsmall)) ytitle("Probability of answering correctly", size(medsmall)) title("Item Characteristic Curves for Curriculum-Aligned Section, Grade 3", size(medium))  legend(order(1 "Q1: Skip counting" 2 "Q2: Three-digit addition" 3 "Q3: Three-digit subtraction" 4 "Q4: One-digit multiplication" 5 "Q5: Two-digit exact division") cols(1)) legend( rows(5)  size(vsmall))
	

	irtgraph iif, xtitle("Theta (student ability)") ytitle("Information") title("Item Information Function for Core Numeracy Section, Grade 3") legend(order(1 "Q1: Skip counting" 2 "Q2: Three-digit addition" 3 "Q3: Three-digit subtraction" 4 "Q4: One-digit multiplication" 5 "Q5: Two-digit exact division") cols(1)) legend( rows(5)  size(vsmall))

	
	
* For grades 5 and 6 (since they were the same test)
foreach g in  5 6{
irt $irt_nmbr_paramtrs question_10-question_14  if grade_2020==`g'
	irtgraph icc question_10-question_14, plocation  xtitle("Theta (student ability)", size(medsmall)) ytitle("Probability of answering correctly", size(medsmall)) title("Item Characteristic Curves for Curriculum-Aligned Section, Grade `g'", size(medium))  legend(order(1 "Q1: Four-digit addition" 2 "Q2: Four-digit subtraction" 3 "Q3: Two-digit multiplication" 4 "Q4: Two-digit division" 5 "Q5: Addition of fractions" ) cols(1)) legend( rows(5)  size(vsmall))
	
	
	irtgraph iif, xtitle("Theta (student ability)", size(medsmall)) ytitle("Information", size(medsmall)) title("Item Information Function for Curriculum-Aligned Section, Grade `g'", size(medium)) legend(order(1 "Q1: Four-digit addition" 2 "Q2: Four-digit subtraction" 3 "Q3: Two-digit multiplication" 4 "Q4: Two-digit division" 5 "Q5: Addition of fractions" ) cols(1)) legend( rows(5)  size(vsmall))

	}
