*=================================================
* Appendix Table A.3.a: scatter plots of schools
*=================================================

use "$clean_pba_numeracy", clear

foreach i in 3 5 6{
	
* Main score vs. PBA	
graph twoway (lfit  total_score_irt std_feb20_math) (scatter total_score_irt std_feb20_math) if grade_2020==`i', xtitle("Main baseline in-person score") ytitle("PBA score") title("Comparison of main in-person and PBA scores for numeracy, grade `i'", size(medium)) legend(off) xlabel(-3(1)1) yscale(r(-4 2)) ylabel(-3(1)1)

* Main score vs. repeated-score
graph twoway (lfit  std_oct19_math std_feb20_math) (scatter std_oct19_math std_feb20_math) if grade_2020==`i', xtitle("Main baseline in-person score") ytitle("Repeated in-person score") title("Comparison of main and repeated in-person scores for numeracy, grade `i'", size(medium)) legend(off)  yscale(r(-4 2)) ylabel(-3(1)1)

}


use "$clean_pba_literacy", clear

foreach i in 3{
	
* Main score vs. PBA	
graph twoway (lfit  total_score_english_pba std_mar21_english) (scatter total_score_english_pba std_feb21_english) if grade_2020==`i', xtitle("Main baseline in-person score") ytitle("PBA score") title("Comparison of main in-person and PBA scores for literacy, grade `i'", size(medium)) legend(off) xlabel(-3(1)1) yscale(r(-4 2)) ylabel(-3(1)1)


* Main score vs. repeated-score
graph twoway (lfit  std_feb21_english std_mar21_english) (scatter total_score_english_pba std_feb21_english) if grade_2020==`i', xtitle("Main baseline in-person score") ytitle("Repeated in-person score") title("Comparison of main and repeated in-person scores for literacy, grade `i'", size(medium)) legend(off) xscale(r(-3.5 1.5)) xlabel(-3(1)1) yscale(r(-4 2)) ylabel(-3(1)1)

}
