*============================================
* Appendix Table A.3.a: correlations between scores (robustness checks)
*============================================

*------------------------------------------------------------------------------
* Among pupils who have all three scores: main in-person, repeated in-person, PBA

use "$clean_pba_numeracy", clear
keep if std_feb20_math!=. & std_oct19_math!=. & total_score_irt!=.

* Filling in cell by cell
local cols = 4*2 // full sample, each grade
local rows=  16

* Initializing the matrix
matrix results = J(`rows', `cols', .)
																 
local row = 1
local col = 1
*=== Saving column names 
global colnames "Feb20 p Oct19 p in_person p total_score p"
	local colnames="$colnames"
	matrix colnames results = `colnames'

*=== Saving row names
global rownames "Feb20 se n r2 Oct19 se n r2 in_person se n r2 total_score se n r2"
	local rownames="$rownames"
	matrix rownames results = `rownames'	
	
	
local row=5
local col=1	

reg std_feb20_math std_oct19_math, cluster(academycode)
		local b_class_class: di %4.2f _b[std_oct19_math]
		local se: di %4.2f _se[std_oct19_math]
		local p_val: di  %4.3f (2 * ttail(e(df_r), abs(_b[std_oct19_math]/_se[std_oct19_math])))
		di e(r2)
		local n: di %12.2f e(N)
		local r2: di %12.2f e(r2)
		
		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'
		

local row=`row'+4
		
		
reg std_feb20_math std_oct19_math, cluster(academycode)
		
		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'
		
local row=`row'+4


reg std_feb20_math total_score, cluster(academycode)
		local b_class_class: di %4.2f _b[total_score]
		local se: di %4.2f _se[total_score]
		local p_val: di  %4.3f (2 * ttail(e(df_r), abs(_b[total_score]/_se[total_score])))
		di e(r2)
		local n: di %12.2f e(N)
		local r2: di %12.2f e(r2)
		
		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'
		
local row=13
local col=`col'+2

reg std_oct19_math total_score, cluster(academycode)
		local b_class_class: di %4.2f _b[total_score]
		local se: di %4.2f _se[total_score]
		local p_val: di  %4.3f (2 * ttail(e(df_r), abs(_b[total_score]/_se[total_score])))
		di e(r2)
		local n: di %12.2f e(N)
		local r2: di %12.2f e(r2)
		
		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'
		
local row=13
local col=`col'+2				
			
reg total_score std_oct19_math, cluster(academycode)

		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'
		
matlist results


	

	
	
	
	
*------------------------------------------------------------------------------
* Among pupils who have all both subjects: numeracy and literacy

use "$clean_pba_numeracy", clear
	merge 1:1 studyid using "$clean_pba_literacy", keepusing(total_score_english_pba)
		keep if _merge==3 & total_score_english_pba!=.
		
* Filling in cell by cell
local cols = 4*2 // full sample, each grade
local rows=  16

* Initializing the matrix
matrix results = J(`rows', `cols', .)
																 
local row = 1
local col = 1
*=== Saving column names 
global colnames "Feb20 p Oct19 p in_person p total_score p"
	local colnames="$colnames"
	matrix colnames results = `colnames'

*=== Saving row names
global rownames "Feb20 se n r2 Oct19 se n r2 in_person se n r2 total_score se n r2"
	local rownames="$rownames"
	matrix rownames results = `rownames'	

	
local row=5
local col=1	

reg std_feb20_math std_oct19_math, cluster(academycode)
		local b_class_class: di %4.2f _b[std_oct19_math]
		local se: di %4.2f _se[std_oct19_math]
		local p_val: di  %4.3f (2 * ttail(e(df_r), abs(_b[std_oct19_math]/_se[std_oct19_math])))
		di e(r2)
		local n: di %12.2f e(N)
		local r2: di %12.2f e(r2)
		
		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'
		

local row=`row'+4
		
		
reg std_feb20_math std_oct19_math, cluster(academycode)
		
		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'
		
local row=`row'+4


reg std_feb20_math total_score, cluster(academycode)
		local b_class_class: di %4.2f _b[total_score]
		local se: di %4.2f _se[total_score]
		local p_val: di  %4.3f (2 * ttail(e(df_r), abs(_b[total_score]/_se[total_score])))
		di e(r2)
		local n: di %12.2f e(N)
		local r2: di %12.2f e(r2)
		
		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'
		
local row=13
local col=`col'+2

reg std_oct19_math total_score, cluster(academycode)
		local b_class_class: di %4.2f _b[total_score]
		local se: di %4.2f _se[total_score]
		local p_val: di  %4.3f (2 * ttail(e(df_r), abs(_b[total_score]/_se[total_score])))
		di e(r2)
		local n: di %12.2f e(N)
		local r2: di %12.2f e(r2)
		
		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'
		
local row=13
local col=`col'+2				
			
reg total_score std_oct19_math, cluster(academycode)

		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'
		
matlist results

	
	
