*=================================================
* Figure 1: distribution of in in-person and PBA percentile gaps by subject
*=================================================

*============================================
* Numeracy
use "$clean_pba_num_percentile", clear

twoway kdensity pba_gap || kdensity class_gap, lpattern (dash) legend(order(1 "Differences between the main in-person assessment and PBA" 2 "Differences between the main in-person assessment and repeated in-person assessment") cols(1)) legend(size(small)) title("Numeracy: Distributions of gaps in relative achievement") xtitle("Difference in percentiles between baseline grades and assessment") ytitle("Density")


*===============================================================================
* Literacy

use "$clean_pba_lit_percentile", clear
	keep if total_score_english_pba!=.

		
twoway kdensity pba_gap || kdensity class_gap, lpattern (dash) legend(order(1 "Differences between the main in-person assessment and PBA" 2 "Differences between the main in-person assessment and repeated in-person assessment") cols(1)) legend(size(small)) title("Literacy: Distributions of gaps in relative achievement") xtitle("Difference in percentiles between baseline grades and assessment") ytitle("Density") 


*===============================================================================
* Fluency

use "$clean_pba_lit_percentile", clear
	keep if total_score_english_pba!=.
		
twoway kdensity fluency_pba_gap || kdensity fluency_class_gap, lpattern (dash) legend(order(1 "Differences between the main in-person assessment and PBA" 2 "Differences between the main in-person assessment and repeated in-person assessment") cols(1)) legend(size(small)) title("Fluency: Distributions of gaps in relative achievement") xtitle("Difference in percentiles between baseline grades and assessment") ytitle("Density") 
