*=================================================
* Figure 2a: average percentile gaps, by baseline performance
*=================================================

*===============================================================================
* Numeracy

use "$clean_pba_num_percentile", clear

keep ptile_feb20 mean_pba_gap mean_class_gap mean_class_in_person_gap mean_pba_gap_in_person
	duplicates drop        

line mean_pba_gap mean_class_gap ptile_feb20, legend(order(1 "Difference between the percentiles in Feb/2020 and PBA" 2 "Difference between the percentiles in Feb/2020 and Oct/2019 tests") cols(1)) legend(size(small)) title("Numeracy: Average percentile gap, by baseline performance") xtitle("Baseline performance percentile") ytitle("Average gap") lpattern (solid dash)


*===============================================================================
* Literacy
use "$clean_pba_lit_percentile", clear
	keep if total_score_english_pba!=.
sort ptile_mar21
keep ptile_mar21 mean_pba_gap mean_class_gap
	duplicates drop        

line mean_pba_gap mean_class_gap ptile_mar21, legend(order(1 "Difference between the percentiles in Mar/2021 and PBA" 2 "Difference between the percentiles in Mar/2021 and Feb/2021 tests") cols(1)) legend(size(small)) title("Literacy: Average percentile gap, by baseline performance") xtitle("Baseline performance percentile") ytitle("Average gap") lpattern (solid dash)



*===============================================================================
* Fluency
use "$clean_pba_lit_percentile", clear
	keep if total_score_english_pba!=.

keep ptile_mar21_fluency mean_fluency_pba_gap mean_fluency_class_gap 
	duplicates drop        

line mean_fluency_pba_gap mean_fluency_class_gap ptile_mar21_fluency, legend(order(1 "Difference between the percentiles in Mar/2021 and PBA" 2 "Difference between the percentiles in Mar/2021 and Feb/2021 tests") cols(1)) legend(size(small)) title("Fluency: Average percentile gap, by baseline performance") xtitle("Baseline performance percentile") ytitle("Average gap") lpattern (solid dash)
