*=================================================
* Figure 2b: average percentile gaps, by baseline performance
*=================================================


*===============================================================================
* Numeracy

use "$clean_pba_num_percentile", clear

* (Using Nick Cox's fix to avoid plotting every single x-label)
forval y = 1/100 {
    if mod(`y', 1000) {
        label def ylbl `y' `"{c 0xa0}"', add 
    }
} // note that this goes up 1000 (way out of the range!) so it doesn't plot anything — just what we need for visualization purposes

label val ptile_feb20 ylbl 
	label li ylbl 

graph box gap_in_gap, over(ptile_feb20) nooutsides yline(0) title("Numeracy: difference-in-differences") ytitle("Difference in gaps") b1title("Baseline performance") note("")



*===============================================================================
* Literacy

use "$clean_pba_lit_percentile", clear
	keep if total_score_english_pba!=.
	
forval y = 1/100 {
    if mod(`y', 1000) {
        label def ylbl `y' `"{c 0xa0}"', add 
    }
} 

label val ptile_mar21 ylbl 
	label li ylbl 


	graph box gap_in_gap, over(ptile_mar21) nooutsides yline(0) title("Literacy: difference-in-differences") ytitle("Difference in gaps") b1title("Baseline performance") note("")	

	
	
*===============================================================================
* Fluency


use "$clean_pba_lit_percentile", clear
	keep if total_score_english_pba!=.

forval y = 1/100 {
    if mod(`y', 1000) {
        label def ylbl `y' `"{c 0xa0}"', add 
    }
}

label val ptile_mar21_fluency ylbl 
	label li ylbl 


	graph box gap_in_gap_fluency, over(ptile_mar21_fluency) nooutsides yline(0) title("Fluency: difference-in-differences") ytitle("Difference in gaps") b1title("Baseline performance") note("")
	
