*=================================================
* Table 2a: descriptive statistics for the numeracy assessment, broken down by section and grade (including Cronbach's alpha)
*=================================================

cls
use "$clean_pba_numeracy", clear

local cols = 4 // full sample, each grade
local rows=  3*4

* Initializing the matrix
matrix results = J(`rows', `cols', .)
																 
local row = 1
local col = 1
*=== Saving column names 
global colnames "Full_sample G3 G5 G6 "
	local colnames="$colnames"
	matrix colnames results = `colnames'

*=== Saving row names
global rownames "Full_test SD alpha Obs Numeracy SD  alpha Obs Curriculum SD  alpha Obs"
	local rownames="$rownames"
	matrix rownames results = `rownames'	

*============================================
* Total score
foreach g in 3 5 6{
* For the full sample
sum total_score_perc
				local mean: di %12.2f r(mean)	
				local sd: di %12.2f r(sd)	
				local n: di %12.2f r(N)	

		matrix results[`row', 1] 	= `mean'
		matrix results[`row'+1, 1] 	= `sd'
		matrix results[`row'+3, 1] 	= `n'

alpha question_1-question_14, item
				local alpha: di %12.2f r(alpha)	
				matrix results[`row'+2, 1] 	= `alpha'

	local col=`col'+1			

* For each grade
sum total_score_perc if grade_2020==`g'
				local mean: di %12.2f r(mean)	
				local sd: di %12.2f r(sd)	
				local n: di %12.2f r(N)	

		matrix results[`row', `col'] 	= `mean'
		matrix results[`row'+1, `col'] 	= `sd'
		matrix results[`row'+3, `col'] 	= `n'

alpha question_1-question_14 if grade_2020==`g', item
				local alpha: di %12.2f r(alpha)	
				matrix results[`row'+2, `col'] 	= `alpha'

}

	local row=`row'+4
	local col=1
	
*============================================
* Numeracy score
foreach g in 3 5 6{
* For the full sample
sum numeracy_score_perc 
				local mean: di %12.2f r(mean)	
				local sd: di %12.2f r(sd)	
				local n: di %12.2f r(N)	

		matrix results[`row', 1] 	= `mean'
		matrix results[`row'+1, 1] 	= `sd'
		matrix results[`row'+3, 1] 	= `n'

alpha question_1-question_9, item
				local alpha: di %12.2f r(alpha)	
				matrix results[`row'+2, 1] 	= `alpha'

	local col=`col'+1			

* For each grade
sum numeracy_score_perc if grade_2020==`g'
				local mean: di %12.2f r(mean)	
				local sd: di %12.2f r(sd)	
				local n: di %12.2f r(N)	

		matrix results[`row', `col'] 	= `mean'
		matrix results[`row'+1, `col'] 	= `sd'
		matrix results[`row'+3, `col'] 	= `n'

alpha question_1-question_9 if grade_2020==`g', item
				local alpha: di %12.2f r(alpha)	
				matrix results[`row'+2, `col'] 	= `alpha'

}

	local row=`row'+4
	local col=1
	
*============================================
* Curriculum-aligned score
foreach g in 3 5 6{
* For the full sample
sum curr_aligned_score_perc 
				local mean: di %12.2f r(mean)	
				local sd: di %12.2f r(sd)	
				local n: di %12.2f r(N)	

		matrix results[`row', 1] 	= `mean'
		matrix results[`row'+1, 1] 	= `sd'
		matrix results[`row'+3, 1] 	= `n'

alpha question_10-question_14, item
				local alpha: di %12.2f r(alpha)	
				matrix results[`row'+2, 1] 	= `alpha'

	local col=`col'+1			

* For each grade
sum curr_aligned_score_perc if grade_2020==`g'
				local mean: di %12.2f r(mean)	
				local sd: di %12.2f r(sd)	
				local n: di %12.2f r(N)	

		matrix results[`row', `col'] 	= `mean'
		matrix results[`row'+1, `col'] 	= `sd'
		matrix results[`row'+3, `col'] 	= `n'

alpha question_10-question_14 if grade_2020==`g', item
				local alpha: di %12.2f r(alpha)	
				matrix results[`row'+2, `col'] 	= `alpha'

}

*=== Checking results
matlist results
