*=================================================
* Table 3: correlations between different sets of scores
*=================================================


local cols = 5*2 // five specifications, two columns per specification (main estimates + p-value)
local rows = 4*3 // four rows per independent variable, 3 independent variables


* Initializing the matrix
matrix results = J(`rows', `cols', .)
																 
local row = 1
local col = 1

*=== Saving column names 
global colnames "Numeracy p Literacy p Literacy_no_fluency p Fluency p PBA_Numeracy"
	local colnames="$colnames"
	matrix colnames results = `colnames'

*=== Saving row names
global rownames "PBA se n r2 Repeating_in_person se n r2 in_person se n r2"
	local rownames="$rownames"
	matrix rownames results = `rownames'	

	
*============================================
* Populating table, column by column
	
*------------------
* Column 1
*------------------

use "$clean_pba_numeracy", clear
	
local row=1
local col=1	

reg std_feb20_math total_score_irt, cluster(academycode)
		local b_class_class: di %4.2f _b[total_score]
		local se: di %4.2f _se[total_score]
		local p_val: di  %4.3f (2 * ttail(e(df_r), abs(_b[total_score]/_se[total_score])))
		di e(r2)
		local n: di %12.2f e(N)
		local r2: di %12.2f e(r2)
		
		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'
		
local row=`row'+4


reg std_feb20_math std_oct19_math, cluster(academycode)
		local b_class_class: di %4.2f _b[std_oct19_math]
		local se: di %4.2f _se[std_oct19_math]
		local p_val: di  %4.3f (2 * ttail(e(df_r), abs(_b[std_oct19_math]/_se[std_oct19_math])))
		di e(r2)
		local n: di %12.2f e(N)
		local r2: di %12.2f e(r2)
		
		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'
		
local row=`row'+4
		
		
reg std_feb20_math in_person_score, cluster(academycode)
		local b_class_class: di %4.2f _b[in_person_score]
		local se: di %4.2f _se[in_person_score]
		local p_val: di  %4.3f (2 * ttail(e(df_r), abs(_b[in_person_score]/_se[in_person_score])))
		di e(r2)
		local n: di %12.2f e(N)
		local r2: di %12.2f e(r2)
		
		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'
		
			matlist results


local row=1
local col=`col'+2				



*------------------
* Column 2
*------------------

use "$clean_pba_literacy", clear

				 
reg std_mar21_english total_score_english_pba if reached==1, cluster(academycode)
		local b_class_class: di %4.2f _b[total_score_english_pba]
		local se: di %4.2f _se[total_score_english_pba]
		local p_val: di  %4.3f (2 * ttail(e(df_r), abs(_b[total_score_english_pba]/_se[total_score_english_pba])))
		di e(r2)
		local n: di %12.2f e(N)
		local r2: di %12.2f e(r2)
		
		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'
		
local row=`row'+4


reg std_mar21_english std_feb21_english if reached==1, cluster(academycode)
		local b_class_class: di %4.2f _b[std_feb21_english]
		local se: di %4.2f _se[std_feb21_english]
		local p_val: di  %4.3f (2 * ttail(e(df_r), abs(_b[std_feb21_english]/_se[std_feb21_english])))
		di e(r2)
		local n: di %12.2f e(N)
		local r2: di %12.2f e(r2)
		
		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'

local row=1
local col=`col'+2	




*------------------
* Column 3
*------------------
					 
reg std_mar21_english total_score_english_nf_pba if reached==1, cluster(academycode)
		local b_class_class: di %4.2f _b[total_score_english_nf_pba]
		local se: di %4.2f _se[total_score_english_nf_pba]
		local p_val: di  %4.3f (2 * ttail(e(df_r), abs(_b[total_score_english_nf_pba]/_se[total_score_english_nf_pba])))
		di e(r2)
		local n: di %12.2f e(N)
		local r2: di %12.2f e(r2)
		
		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'
		
local row=1
local col=`col'+2	


*------------------
* Column 4
*------------------				 
			 
reg std_mar21_fluency fluency_avg if reached==1, cluster(academycode)
		local b_class_class: di %4.2f _b[fluency_avg]
		local se: di %4.2f _se[fluency_avg]
		local p_val: di  %4.3f (2 * ttail(e(df_r), abs(_b[fluency_avg]/_se[fluency_avg])))
		di e(r2)
		local n: di %12.2f e(N)
		local r2: di %12.2f e(r2)
		
		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'
		
local row=`row'+4


reg std_mar21_fluency std_feb21_fluency if reached==1, cluster(academycode)
		local b_class_class: di %4.2f _b[std_feb21_fluency]
		local se: di %4.2f _se[std_feb21_fluency]
		local p_val: di  %4.3f (2 * ttail(e(df_r), abs(_b[std_feb21_fluency]/_se[std_feb21_fluency])))
		di e(r2)
		local n: di %12.2f e(N)
		local r2: di %12.2f e(r2)
		
		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'

local row=1
local col=`col'+2						 



*------------------
* Column 5
*------------------

use "$clean_pba_numeracy", clear
	
local row=5
local col=9	

reg total_score_irt std_oct19_math, cluster(academycode)
		local b_class_class: di %4.2f _b[std_oct19_math]
		local se: di %4.2f _se[std_oct19_math]
		local p_val: di  %4.3f (2 * ttail(e(df_r), abs(_b[std_oct19_math]/_se[std_oct19_math])))
		di e(r2)
		local n: di %12.2f e(N)
		local r2: di %12.2f e(r2)
		
		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'
		
local row=`row'+4
	
	
reg total_score_irt in_person_score, cluster(academycode)
		local b_class_class: di %4.2f _b[in_person_score]
		local se: di %4.2f _se[in_person_score]
		local p_val: di  %4.3f (2 * ttail(e(df_r), abs(_b[in_person_score]/_se[in_person_score])))
		di e(r2)
		local n: di %12.2f e(N)
		local r2: di %12.2f e(r2)
		
		matrix results[`row', `col'] 	= `b_class_class'
		matrix results[`row'+1, `col'] 	= `se'
		matrix results[`row', `col'+1] 	= `p_val'
		matrix results[`row'+2, `col'] 	= `n'
		matrix results[`row'+3, `col'] 	= `r2'
		
local row=`row'+4


matlist results
